﻿using System;
using System.Web.Http;

namespace WebApi2MultipleGetMethodsDifferByParameterType.Controllers
{

    [RoutePrefix("api/values")]
    public class ValuesController : ApiController
    {

        // GET api/values/AAC1FB7B-978B-4C39-A90D-271A031BFE5D
        [Route("{id:Guid}")]
        public string Get(Guid id)
        {
            return $"You entered a GUID - {id}";
        }

        // GET api/values/5
        [Route("{id:int}")]
        public string Get(int id)
        {
            return $"You entered an int - {id}";
        }

        // This causes an error because an int could also be a long.

        // GET api/values/134
        //[Route("{id:long}")]
        //public string Get(long id)
        //{
        //    return $"You entered an long - {id}";
        //}


        // GET api/values/large/4147483647
        // GET api/values/large/13
        [Route("large/{id:long}")]
        public string Get(long id)
        {
            return $"You entered an long - {id}";
        }

    }
}
